### Enumeration

# EBackend CacheLockType

since: 3.26

#### Declaration

    enum EBackend.CacheLockType

#### Description [src]

Indicates the type of lock requested in e_cache_lock().

Available since: 3.26

#### Members

`E_CACHE_LOCK_READ`

  Obtain a lock for reading.

  - Value: `0`
  - Available since: 3.26
`E_CACHE_LOCK_WRITE`

  Obtain a lock for writing. This also starts a transaction.

  - Value: `1`
  - Available since: 3.26